%global upstreamname rocm_smi_lib
%global forgeurl https://github.com/RadeonOpenCompute/rocm_smi_lib

%global sosmimajor 5
%global sosmiminor 0

%global sooammajor 1
%global sooamminor 0


%define libname    %mklibname %{name} %{sosmimajor}
%define devel_name %mklibname %{name} -d


Name:           rocm-smi-lib
Version:        5.7.1
Release:        %mkrel 0
Summary:        AMD ROCm System Management Interface
Group:          System/Libraries
Url:            https://rocm.docs.amd.com/projects/rocm_smi_lib/en/latest
License:        NCSA
Source0:        %{forgeurl}/archive/refs/tag/rocm-%{version}.tar.gz#/%{upstreamname}-rocm-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:	cmake(hsa-runtime64)

Requires:       python3

#Only the following architectures are useful for ROCm packages:
ExclusiveArch:  x86_64 aarch64

%description
ROCm System Management Interface (ROCm SMI) provides a user space interface for
applications to monitor and to control GPU applications.


%package -n %{libname}
Summary:        AMD ROCm SMI Library
Group:          System/Libraries
Requires:       rocm-device-libs = %{version}
Requires:       rocm-runtime = %{version}
Provides:       rocm(smi) = %{version}

%description -n %{libname}
The ROCm System Management Interface Library, or ROCm SMI library, is part of
the Radeon Open Compute ROCm software stack . It is a C library for Linux that
provides a user space interface for applications to monitor and
to control GPU applications.


%package -n %{devel_name}
Summary:        ROCm Runtime development files
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}

%description -n %{devel_name}
Development files for ROCm System Management Interface.


%prep
%autosetup -p1 -n %{upstreamname}-rocm-%{version}

%build
%cmake \
        -Wno-dev \
        -S "." \
        -B build

%cmake_build

%install
%cmake_install

# Keep only default paths
rm -r %{buildroot}%{_prefix}/rocm_smi
rm -r %{buildroot}%{_prefix}/oam


%files
%license License.txt
%exclude %{_datadir}/doc/rocm_smi/LICENSE.txt
%doc README.md
%{_bindir}/rocm-smi
%{_libexecdir}/rocm_smi{,.*}

%files -n %{libname}
%{_libdir}/liboam.so.%{sooammajor}
%{_libdir}/liboam.so.%{sooammajor}.%{sooamminor}
%{_libdir}/librocm_smi64.so.%{sosmimajor}
%{_libdir}/librocm_smi64.so.%{sosmimajor}.%{sosmiminor}

%files -n %{devel_name}
%{_includedir}/oam{,.*}
%{_includedir}/rocm_smi{,.*}
%{_libdir}/liboam.so
%{_libdir}/librocm_smi64.so
%{_libdir}/cmake/rocm_smi{,.*}



%changelog
* Sat Nov 25 2023 squidf <squid-f> 5.7.1-0
- Initial Mageia 9 package, upstream version 5.7.1
